classification
Title: SocketServer: TypeError: waitpid() takes no keyword arguments
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: arekm, ludvig.ericson, nzymail, r.david.murray
Priority: normal Keywords:

Created on 2009-04-22 12:15 by arekm, last changed 2009-07-07 13:08 by r.david.murray. This issue is now closed.

Messages (3)
msg86292 - (view) Author: Arkadiusz Miskiewicz Arkadiusz Miskiewicz (arekm) Date: 2009-04-22 12:15
SocketServer.py contains call os.waitpid(0, options=0)
but os.waitpid doesn't accept keyword arguments.

I guess the best fix is to make waitpid accept such arguments.


Traceback (most recent call 
last):                                                 
  File "/usr/share/python2.6/SocketServer.py", line 281, in 
_handle_request_noblock
    self.process_request(request, 
client_address)                                  
  File "/usr/share/python2.6/SocketServer.py", line 522, in 
process_request        
    self.collect_children
()                                                        
  File "/usr/share/python2.6/SocketServer.py", line 490, in 
collect_children       
    pid, status = os.waitpid(0, 
options=0)                                         
TypeError: waitpid() takes no keyword arguments
msg90233 - (view) Author: toxik (ludvig.ericson) Date: 2009-07-07 12:24
I don't really get how this could've ever worked. I tested using keyword 
arguments in py24 and py25, didn't work there either.

I think the best approach would be fixing the SocketServer.py code (which 
obviously needs a test as well, because it's never run.)
msg90234 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-07-07 13:08
The socketserver code was changed on trunk in r69927 by neil.schemenauer
(I can't find his roundup id or I'd make him nosy) so the bug no longer
exists there or in the 3.x branch.  I've backported it to 2.6 in r73887.
History
Date User Action Args
2009-07-07 13:08:42r.david.murraysetstatus: open -> closed
priority: normal
type: behavior


nosy: + r.david.murray
messages: + msg90234
resolution: fixed
stage: resolved
2009-07-07 12:24:42ludvig.ericsonsetnosy: + ludvig.ericson
messages: + msg90233
2009-05-28 17:45:18nzymailsetnosy: + nzymail
2009-04-22 12:15:46arekmcreate